﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace converter.template
{
    // The Style element.
    public sealed class Style
    {
        // Fields

        // The fields are initialized with their default values.
        private Font font = new Font();
        private readonly Borders borders = new Borders();

        // Accessors

        // Gets or sets the font of this style.
        public Font Font
        {
            get { return font; }
            set { font = value; }
        }

        // Gets the collection of borders.
        public Borders Borders
        {
            get { return borders; }
        }
    }

    // A set of possible borders. These are accessible through a style.
    public class Borders
    {
        private Border border = new Border();
        private Border topBorder = new Border();
        private Border bottomBorder = new Border();
        private Border leftBorder = new Border();
        private Border rightBorder = new Border();

        // Accessors

        // Get or set an appropriate border style.
        public Border Border { get { return border; } set { border = value; } }
        public Border TopBorder { get { return topBorder; } set { topBorder = value; } }
        public Border BottomBorder { get { return bottomBorder; } set { bottomBorder = value; } }
        public Border LeftBorder { get { return leftBorder; } set { leftBorder = value; } }
        public Border RightBorder { get { return rightBorder; } set { rightBorder = value; } }
    }
}
