﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using converter.template;

namespace converter.test
{
    internal sealed class Program
    {
        public static List<TestReport> Reports
        {
            get { return reports; }
        }

        // A list of reports to build/test.
        private static readonly List<TestReport> reports = new List<TestReport>()
        {
            new TestReport("input1.rdl", "output1.docx", "correct1.docx"),
            new TestReport("input2.rdl", "output2.docx", "correct2.docx"),
        };

        // Perform an SSRS to Windward conversion of a single file.
        private void BuildFile(TestReport report)
        {
            RdlFile rdlFile = new RdlFile();
            TagsMaker tags = new TagsMaker();
            Template template = rdlFile.Parse(report.Source, null); // without a data source
            // Generate tags.
            template = tags.Process(template);
            // Write the output to a file.
            WordDocumentBuilder.Build(template, report.Target);
        }

        // Convert all test reports.
        private void BuildAllFiles()
        {
            foreach (TestReport report in Reports)
                BuildFile(report);
        }

        private static void Main()
        {
            Program program = new Program();
            program.BuildAllFiles();
        }
    }
}
