﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
using System.IO;

namespace converter.test
{
    // A report file descriptor.
    internal sealed class TestReport
    {
        // A root directory which contains all the test report files. Note, the path is ending with a backslash.
        private static readonly string path =
            Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location) + @"\..\..\reports\";

        private readonly string correct;
        private readonly string source;
        private readonly string target;

        public TestReport(string source, string target, string correct)
        {
            this.source = path + source;
            this.target = path + target;
            this.correct = path + correct;
        }

        // A path to a correct .docx file to compare the target against.
        public string Correct
        {
            get { return correct; }
        }

        // A path to an SSRS report file.
        public string Source
        {
            get { return source; }
        }

        // A path to a .docx file being generated.
        public string Target
        {
            get { return target; }
        }
    }
}
